Bug 814340 - Enable _hardened_build for nginx
Enable _hardened_build for nginx
Product: Fedora
Classification: Fedora
Component: nginx (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-19 12:01 EDT by Jamie Nguyen
Modified: 2012-10-28 06:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-28 06:03:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2012-04-19 12:01:26 EDT
Opened bug to track progress.

Packaging guidelines have been updated. nginx matches one of the criteria for enabling _hardened_build:

"Your package is long running. This means it's likely to be started and keep running until the machine is rebooted, not start on demand and quit on idle."
Comment 1 Fedora Update System 2012-04-19 13:42:26 EDT
nginx-1.0.15-2.fc17 has been submitted as an update for Fedora 17.
Comment 2 Fedora Update System 2012-04-28 21:00:12 EDT
nginx-1.0.15-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.